Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class Node

    java.lang.Object
      millgamej2se11.Node

     class Node

extends java.lang.Object

A játékállást reprezentáló egyedek osztálya

Field Summary
`private java.util.List<Node>` | `children` A gyermek csomópontok listája.
`private int` | `goodness` Az állapot jóságértéke.
`private int` | `nextPlayer` Az állásban lépni következő játékos azonosítója.
`private java.lang.String` | `operation` Az operator, mellyel a csomópont előállt.
`private Node` | `parent` A szülő csomópont.
`private int[][]` | `state` A csomóponthoz tartozó állapot.

Constructor Summary
`Node(int[][] state, int nextPlayer, java.lang.String operation, Node parent)` Egy új csomópont objetumot létrehozó kostruktor.

Method Summary
`void` | `addChild(Node child)` Hozzáadja a megadott csomópontot a gyermekek listájához.
`Node` | `getChild(int i)` Visszaadja a csomópont i. gyermekét
`int` | `getGoodness()` Visszaadja a csomópont jóságértékét.
`int` | `getNextID()` Visszaadja a lépni következő játékos azonosítóját.
`java.lang.String` | `getOpertion()` Visszaadja a csomóponthoz tartozó operátort.
`Node` | `getParent()` Visszaadja a csomópont szülő csomópontját.
`int[][]` | `getState()` Visszaadja a csomóponthoz tartozó állapotot.
`void` | `setGoodness()` A csomópont összes gyermekének vizsgálatával beállítja a csomópont jóságértékét.
`void` | `setGoodness(int value)` Beállítja a csomópont jóságértékét.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    private int[][] state

  A csomóponthoz tartozó állapot.

### nextPlayer

    private int nextPlayer

  Az állásban lépni következő játékos azonosítója.

### parent

    private Node parent

  A szülő csomópont.

### operation

    private java.lang.String operation

  Az operator, mellyel a csomópont előállt.

### children

    private java.util.List<Node> children

  A gyermek csomópontok listája.

### goodness

    private int goodness

  Az állapot jóságértéke.

Constructor Detail

### Node

    public Node(int[][] state,
                int nextPlayer,
                java.lang.String operation,
                Node parent)

  Egy új csomópont objetumot létrehozó kostruktor.

  Parameters:
    `state` - A csomópont állása.
    `nextPlayer` - A lépni következő játékos.
    `operation` - Az operátor, mellyel az állás előállt.
    `parent` - A szülő csomópont.

Method Detail

### addChild

    public void addChild(Node child)

  Hozzáadja a megadott csomópontot a gyermekek listájához.

  Parameters:
    `child` - Az új gyermek csomópont.

### getParent

    public Node getParent()

  Visszaadja a csomópont szülő csomópontját.

  Returns:
    A szülő csomópont

### getChild

    public Node getChild(int i)

  Visszaadja a csomópont i. gyermekét

  Parameters:
    `i` - A gyermek csomópont sorszáma
  Returns:
    Az i. gyermek csomópont

### getState

    public int[][] getState()

  Visszaadja a csomóponthoz tartozó állapotot.

  Returns:
    Az állapotot

### getNextID

    public int getNextID()

  Visszaadja a lépni következő játékos azonosítóját.

  Returns:
    A játékos atonosítója.

### setGoodness

    public void setGoodness(int value)

  Beállítja a csomópont jóságértékét.

  Parameters:
    `value` - Az új jóságérték.

### setGoodness

    public void setGoodness()

  A csomópont összes gyermekének vizsgálatával beállítja a csomópont jóságértékét.

### getGoodness

    public int getGoodness()

  Visszaadja a csomópont jóságértékét.

  Returns:
    A jóságérték.

### getOpertion

    public java.lang.String getOpertion()

  Visszaadja a csomóponthoz tartozó operátort.

  Returns:
    A csomópont operátora.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD